Bug 53170 - New port: XFce 4 meta-port
Summary: New port: XFce 4 meta-port
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Oliver Lehmann
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-06-10 21:10 UTC by James Earl
Modified: 2003-07-28 19:43 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description James Earl 2003-06-10 21:10:09 UTC
	This is a "meta-port" for the XFce 4 "lightweight" desktop
	environment. It is based from x11/gnome2 and x11/kde3 meta-ports.

Fix: 

echo c - x11/xfce4
mkdir -p x11/xfce4 > /dev/null 2>&1
echo x - x11/xfce4/Makefile
sed 's/^X//' >x11/xfce4/Makefile << 'END-of-x11/xfce4/Makefile'
X# New ports collection makefile for:	xfce4
X# Date created:		9 June 2003
X# Whom:			James Earl <jdearl@telus.net>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	xfce4
XPORTVERSION=	3.90.0.b1
XCATEGORIES=	x11
XMASTER_SITES=	# empty
XDISTFILES=	# empty
XEXTRACT_ONLY=	# empty
X
XMAINTAINER=	ports@FreeBSD.org
XCOMMENT=	The "meta-port" for the XFce 4 desktop environment
X
XRUN_DEPENDS=	${X11BASE}/lib/xfce4/mcs-plugins/ui_plugin.so:${PORTSDIR}/sysutils/xfce-mcs-plugins \
X		xfwm4:${PORTSDIR}/x11-wm/xfwm4 \
X		xfce4-panel:${PORTSDIR}/x11/xfce4-panel \
X		xfdesktop:${PORTSDIR}/x11/xfdesktop \
X		startxfce4:${PORTSDIR}/sysutils/xfce-utils \
X		xffm:${PORTSDIR}/x11-fm/xffm \
X		xfprint4:${PORTSDIR}/print/xfprint \
X		xfce4-iconbox:${PORTSDIR}/x11/xfce4-iconbox \
X		${X11BASE}/lib/gtk-2.0/2.2.0/engines/libxfce.so:${PORTSDIR}/x11-toolkits/gtk-xfce-engine
X
X.if !defined(WITHOUT_EXTRAS)
XRUN_DEPENDS+=	${X11BASE}/share/xffm/pixmaps/xfce/mime.xml:${PORTSDIR}/misc/xffm-icons \
X		${X11BASE}/share/xfwm4/themes/atlanta2/themerc:${PORTSDIR}/x11-wm/xfwm4-themes
X.endif
X
XNO_BUILD=	yes
X
Xdo-install:	# empty
X
X.include <bsd.port.mk>
END-of-x11/xfce4/Makefile
echo x - x11/xfce4/pkg-plist
sed 's/^X//' >x11/xfce4/pkg-plist << 'END-of-x11/xfce4/pkg-plist'
X@comment this plist intentionally left empty
END-of-x11/xfce4/pkg-plist
echo x - x11/xfce4/pkg-descr
sed 's/^X//' >x11/xfce4/pkg-descr << 'END-of-x11/xfce4/pkg-descr'
XXFce 4 Desktop Environment
X
XThis package does not contain anything by itself - it is a "meta-port" that
Xdepends on other XFce 4 packages.
X
XWWW: http://www.xfce.org
END-of-x11/xfce4/pkg-descr
exit
--- xfce4 ends here ---
Comment 1 Oliver Lehmann freebsd_committer 2003-07-05 08:58:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->oliver

I'll handle this
Comment 2 Oliver Lehmann freebsd_committer 2003-07-28 19:43:35 UTC
State Changed
From-To: open->closed

Committed a slightly different and updated to rc2 version. Thanks a lot for your work!